Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QToolTip

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QToolTip class reference

## Static Public Members

void | add ( QWidget * widget, const QString & text )
void | add ( QWidget * widget, const QRect & rect, const QString & text )
void | remove ( QWidget * widget )

## Member Function Documentation

### void QToolTip::add ( QWidget * widget, const QString & text )`[static]`

Use QWidget::setToolTip() instead.

For example, if you have code like

     tip->add(widget, text);

you can rewrite it as

     widget->setToolTip(text);

### void QToolTip::add ( QWidget * widget, const QRect & rect, const QString & text )`[static]`

Intercept the QEvent::ToolTip events in your widget's QWidget::event() function and call QToolTip::showText() with the text you want to display. The Tooltips example illustrates this technique.

### void QToolTip::remove ( QWidget * widget )`[static]`

Use QWidget::setToolTip() instead.

For example, if you have code like

     tip->remove(widget);

you can rewrite it as

     widget->setToolTip("");